-------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;

use work.ipbus.all;
use work.ipbus_reg_types.all;
use work.emp_data_types.all;
use work.mprocessor_constants.all;


entity EcalDataMonitor is
port (
       --- Input Ports ---
        clk_p              : in  std_logic;
        data_in_valid      : in  std_logic;
        data_in_all_valid  : in  std_logic_vector(26 downto 0);
        data_in            : in  std_logic_vector(28 * 16 -1 downto 0);
        --- IPBus Ports ---
        ipb_clk            : in  std_logic;
        ipb_rst            : in  std_logic;
        ipb_in             : in  ipb_wbus;
        ipb_out            : out ipb_rbus
);
end EcalDataMonitor;

architecture rtl of EcalDataMonitor is

  signal ctrl_regs  : ipb_reg_v(1 downto 0) := (others => (others => '0'));
  signal stat_regs  : ipb_reg_v(0 downto 0);

begin

    --==============================--
    EcalDataMonitorReg: entity work.ipbus_ctrlreg_v
    --==============================--
    generic map(
        N_CTRL    => 2,
        N_STAT    => 1 
    )
    port map(
        clk       => ipb_clk,
        reset     => ipb_rst,
        ipbus_in  => ipb_in,
        ipbus_out => ipb_out,
        d         => stat_regs,
        q         => ctrl_regs
    );

end rtl;


