
# Define 125MHz clock, and declare as async to other clocks
# Note: In some designs 125MHz clock is top-level port (e.g. Serenity DC),
#       otherwise its a derived clock from the infra block (e.g. Apollo)
if {[llength [get_ports -quiet clk125]] != 0} {
    create_clock -period 8.000 -name sys_clk125 [get_ports clk125]
}
set_clock_groups -asynch -group [get_clocks -include_generated_clocks sys_clk125]

# Paths from TCDS core to EMP TTC logic: Only perform timing analysis when clk40 in EMP logic comes from TCDS core
# Commented out as it throws error in Vivado 2022
# set_false_path -through [get_nets {ttc/*tcds2_interface_stat[channel0_ttc2]*}] -to [get_clocks {clk_40_extern0 clk_40_pseudo}]
