library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;
use work.dtc_link_maps_func.all;

package dtc_link_maps is

    constant cNumberOfFEModules   : integer := 12;
    constant cNumberOfOutputLinks : integer := 12;
    constant cNumberOfEcalInputLinks  : integer := 4;
    constant cNumberOfEcalOutputLinks : integer := 1;
    
    type tDTCInputLinkMap is array(0 to cNumberOfFEModules - 1) of tDTCInputLinkConfig;
    constant cDTCInputLinkMap     : tDTCInputLinkMap := (
        0  => (16, "2S", 5, "CIC2"),
        1  => (17, "2S", 5, "CIC2"),
        2  => (18, "2S", 5, "CIC2"),
        3  => (19, "2S", 5, "CIC2"),
        4  => (20, "2S", 5, "CIC2"),
        5  => (21, "2S", 5, "CIC2"),
        6  => (22, "2S", 5, "CIC2"),
        7  => (23, "2S", 5, "CIC2"),
        8  => (24, "2S", 5, "CIC2"),
        9  => (25, "2S", 5, "CIC2"),
        10 => (26, "2S", 5, "CIC2"),
        11 => (27, "2S", 5, "CIC2")
    );

    type tECALInputLinkMap is array(0 to cNumberOfEcalInputLinks - 1) of integer;
    constant cECALInputLinkMap     : tECALInputLinkMap := (12, 13, 14, 15);
    -- type tECALOutputLinkMap is array(0 to cNumberOfEcalOutputLinks - 1) of integer;
    -- constant cECALOutputLinkMap     : tECALOutputLinkMap := (28);
    constant cECALOutputLink       : integer := 7;
    
    type tDTCOutputLinkMap is array(0 to cNumberOfOutputLinks - 1) of integer;
    constant cDTCOutputLinkMap    : tDTCOutputLinkMap := (28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39);

end package dtc_link_maps;

